/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: hashtbl.gi,v 1.1 2002/08/12 12:42:21 malekith Exp $
 *
 * Standard library for Gont, Hashtbl module interface.
 *
 * Mutable hashtable.
 */

type <'a>t;

<'a>t create(int size_hint);

// can raise Not_found
'a find(<'a>t, string);
// this cannot
<'a>List::t find_all(<'a>t, string);
bool mem(<'a>t, string);
void add(<'a>t, string, 'a);
void iter(<'a>t h, *(void (string, 'a)) f);
